Subject: Clarifications of Generalized ID FECs

From: Nick Weeds <[email-masked]>
Date: Thu, 1 Apr 2004 11:00:28 +0100

> Luca,
> 
> A couple of points about Generalized ID FECs as described in
> draft-ietf-pwe3-control-protocol-06.txt...
> 
> 
> (1) Format of AGI, SAII, TAII vs interface parameters.
> 
> I believe the intent is that the AGI, SAII and TAII are encoded as
> ID+length+value, like interface parameters, and that the AGI, SAII and
> TAII are distinguished from interface parameters by their ID bytes.
> 
> However, there is a discrepancy between the length encoding for the AGI /
> SAII / TAII and the length encoding for the interface parameters.
> - Section 5.2.2 says that for AGI / SAII / TAII the length excludes the
> ID+length header.
> - Section 5.4 says that for interface parameters the length includes the
> ID+length header.
> 
> There has been confusion about the length encoding for interface
> parameters in the past, but this has been corrected in
> draft-ietf-pwe3-iana-allocation-03.txt.
> 
> Is the discrepancy between the AGI / SAII / TAII and interface parameters
> intentional?
> 
> If not, can we bring the AGI / SAII / TAII into line with the interface
> parameters?
> 
> Using different formats for the two makes parsing the FEC element awkward,
> especially as the AGI / SAII / TAII are all optional and their IDs not yet
> specified.  For example, it isn't possible to parse out the interface
> parameters without additional information about the AGI / SAII / TAII ID
> values .
> 
> 
> (2) Sense of SAII and TAII on different LDP messages.
> 
> The sense of the SAII and TAII is clear in Label Mapping messages, but the
> draft doesn't explicitly state the sense of the SAII and TAII in LDP
> messages flowing in the reverse direction, for example Label Release.  Two
> possibilities come to mind:
> 
> (a) The FEC TLV sent in a Label Release is the same as the FEC TLV
> received in the Label Mapping being released (but without the interface
> parameters).  More generally, the FEC TLV is the same in all LDP messages
> relating to the same LSP.  In a Label Release this means that the SAII is
> the remote peer's AII and the TAII is the sender's local AII.
> 
> (b) The FEC TLV sent in a Label Release is the same as the FEC TLV sent in
> a Label Mapping (for the reverse LSP).  More generally, the SAII is always
> the sender's local AII and the TAII is the remote peer's AII.  In a Label
> Release this means that the SAII and TAII are reversed compared to the
> Label Mapping being released.
> 
> Which of these is intended?
> 
> 
> Thanks,
> 
> 	Nick.
>

---

From: Eric Rosen <[email-masked]>
Date: Thu, 01 Apr 2004 14:06:54 -0500

Nick> Is  the  discrepancy between  the  AGI /  SAII  /  TAII and  interface
Nick> parameters intentional? 

No, I don't believe that these were intentionally made different. 

Nick> If  not, can  we  bring the  AGI  / SAII  / TAII  into  line with  the
Nick> interface parameters? 

I guess we need input on this one from other implementers. 

Nick> The sense of the SAII and TAII is clear in Label Mapping messages, but
Nick> the draft doesn't  explicitly state the sense of the  SAII and TAII in
Nick> LDP  messages flowing  in  the reverse  direction,  for example  Label
Nick> Release.  Two possibilities come to mind:
Nick> 
Nick> (a) The FEC  TLV sent in a  Label Release is  the same as the  FEC TLV
Nick>     received  in the  Label Mapping  being released  (but  without the
Nick>     interface parameters).  More generally, the FEC TLV is the same in
Nick>     all LDP  messages relating  to the same  LSP.  In a  Label Release
Nick>     this means that the SAII is  the remote peer's AII and the TAII is
Nick>     the sender's local AII. 
Nick> 
Nick> (b) The FEC  TLV sent in a  Label Release is  the same as the  FEC TLV
Nick>     sent in  a Label Mapping  (for the reverse LSP).   More generally,
Nick>     the SAII  is always  the sender's  local AII and  the TAII  is the
Nick>     remote peer's  AII.  In a Label  Release this means  that the SAII
Nick>     and  TAII  are  reversed  compared  to  the  Label  Mapping  being
Nick>     released. 

Nick> Which of these is intended? 

Uh oh.   After 10 minutes of  intensive thought, and having  changed my mind
three times during  that period, I think I'd like to  say that the intention
was  (a).  When you  talk about  a particular  LSP, you  should use  the FEC
associated with  that LSP, and  a Label Release  is about the  incoming LSP.
However, comments of "but I interpreted it the other way" are welcomed!

---

From: Nick Weeds <[email-masked]>
Date: Fri, 2 Apr 2004 11:46:21 +0100

Eric,

Many thanks for your prompt response.

For the record, our implementation currently assumes the following:

- AGI / SAII / TAII use the same length encoding as interface parameters.

- (a) FEC TLV is the same in all LDP  messages relating  to the same  LSP
(but with interface paramters omitted in some cases).

	Nick.

> -----Original Message-----
> From: Eric Rosen [mailto:[email-masked]]
> Sent: 01 April 2004 20:07
> To: Nick Weeds
> Cc: 'Luca Martini'; [email-masked] (E-mail)
> Subject: Re: [PWE3] Clarifications of Generalized ID FECs 
> 
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>